  <div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header"><i class="icon-map"></i>De-Allocate Asset</div>
        <div class="card-body">
            <form [formGroup]="collectAssetForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
              <label for="driverId">Driver</label>
                <input 
                  type="text" 
                  list="dataList" 
                  formControlName="driverId"
                  class="form-control"
                  placeholder="Type to select Driver"
                  (input)="valuechange()"
                  >
                <datalist id="dataList" >
                  <option *ngFor="let driver of driverAssigned" value="{{ driver.driverId}}">{{ driver.driver_name}}</option>
                </datalist>
                <div *ngIf="collectAssetForm.get('driverId').invalid && collectAssetForm.get('driverId').touched"
              class="alert alert-danger">

              <div *ngIf="collectAssetForm.get('driverId').errors.required">
                Driver is required.
              </div>
            </div>
            </div>

            <div class="form-group">
              <label for="batteryId">Battery<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="batteryId"
                class="form-control"
                placeholder="Select Driver"
                readonly="readonly" 
              >
            </div>

            <div class="form-group">
              <label for="kmDriven">KM Driven<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="kmDriven"
                class="form-control"
                placeholder="Select Driver"
                readonly="readonly" 
              >
            </div>

            <div class="form-group">
              <label for="ahUsed">AH Used<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="ahUsed"
                class="form-control"
                placeholder="Select Driver"
                readonly="readonly" 
              >
            </div>

            <div class="form-group">
              <label for="amount">Total Payable Amount<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="amount"
                class="form-control"
                placeholder="Select Driver"
                readonly="readonly" 
              >
            </div>

              <div class="form-group">
              <label for="paymentMode">Payment Mode<sup class="req">*</sup></label>
              <input 
                type="text"
                formControlName="paymentMode"
                class="form-control"
                placeholder="Select Driver"
                readonly="readonly" 
              >
            </div>
            
            <button 
               class="btn btn-primary"
               type="submit"
               [disabled]="collectAssetForm.invalid"><i class="fa fa-dot-circle-o ">&nbsp;</i>Checkout</button>&nbsp;
               <button 
               class="btn btn-primary"
               type="button"
               (click)="onSubmit('navigate')"
               [disabled]="collectAssetForm.invalid"><i class="fa fa-dot-circle-o ">&nbsp;</i>Checkout & Allocate</button>
          </form>
        </div>
      </div>
    </div>
  </div>

